]> git.sesse.net Git - vlc/blob - extras/misc/ubuntu-medibuntu-feisty.sh
Use var_InheritString for --decklink-video-connection.
[vlc] / extras / misc / ubuntu-medibuntu-feisty.sh
1 #!/bin/sh
2 # This script install all 3rd party dependencies for ubuntu
3 # from the medibuntu repository.
4
5 LIST="\
6 libcaca0 \
7 libflac7 \
8 libfreetype6 \
9 libfribidi0 \
10 libgcrypt11 \
11 libgpg-error0 \
12 libgnutls13 \
13 libgtk2.0-0 \
14 libid3tag0 \
15 libmad0 \
16 libmpcdec3 \
17 libnspr4 \
18 libnss3 \
19 libnotify1 \
20 libdbus-1-3 \
21 libhal1 \
22 libogg0 \
23 libsdl1.2debian \
24 libsdl-image1.2 \
25 libsdl-net1.2 \
26 libsdl-mixer1.2 \
27 libvorbis0a \
28 libvorbisenc2 \
29 libshout3 \
30 libspeex1 \
31 libtheorai0 \
32 libsmbclient \
33 libxml2 \
34 libmodplug0c2 \
35 libdvdnav4 \
36 libdvdcss2 \
37 libebml-dev \
38 libfaac0 \
39 libfaad2-0 \
40 liblame0 \
41 libmatroska-dev \
42 libmpeg2-4 \
43 liba52-0.7.4 \
44 libwxbase2.6-0 \
45 libwxgtk2.6-0 \
46 libx264-dev \
47 libtwolame0 \
48 libdts-dev \
49 libdirac0c2a"
50
51 # Are we been run on ubuntu feiste ?
52 if ! test -f /etc/debian_version; then
53    echo "ERROR: no /etc/debian_version file found"
54    echo "ERROR: this is a non debian based system."
55    echo "ERROR: this script is meant to be run on ubuntu feisty 7.04"
56    exit 1
57 fi
58
59 version=`cat /etc/debian_version`
60 if ! test "${version}" = "4.0"; then
61    echo "ERROR: wrong version number ${version}"
62    echo "ERROR: this script is meant to be run on ubuntu feisty 7.04"
63    exit 1
64 fi
65
66 if ! test "`whoami`" = "root"; then 
67    echo "ERROR: run this script as root user (eg: using sudo $*)"
68    exit 1
69 fi
70
71 # Test if medibuntu repos is installed.
72 if ! test -f /etc/apt/sources.list.d/medibuntu.list; then
73    echo "Installing medibuntu repository for dependencies"
74    wget http://www.medibuntu.org/sources.list.d/feisty.list -O /etc/apt/sources.list.d/medibuntu.list
75    wget -q http://packages.medibuntu.org/medibuntu-key.gpg -O- | sudo apt-key add - && sudo apt-get update
76    echo "done"
77 fi
78
79 apt-get install ${LIST}
80
81 exit $?